Subject: bug#283 closed by Mark Hindley <[email-masked]> (Re: Can we close this one?)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Tue, 14 Jan 2020 17:18:09 +0000

This is an automatic notification regarding your bug report
which was filed against the hplip package:

#283: hplip does not allow to add and configure hp printers

It has been closed by Mark Hindley <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mark Hindley <[email-masked]> by
replying to this email.

-- 
283: bugs.devuan.org//cgi/bugreport.cgi?bug=283
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Can we close this one?
From: Mark Hindley <[email-masked]>
To: [email-masked]
Date: Tue, 14 Jan 2020 17:09:26 +0000

Closing as suggested by KatolaZ.

LeePen

Subject: hplip does not allow to add and configure hp printers
From: José Marinho <[email-masked]>
To: [email-masked]
Date: Mon, 21 Jan 2019 11:28:02 +0100 (CET)

Package: hplip
Version: 3.16.11+repack0-3
Severity: grave

When I try to add a Hp printer using the hp-setup commad line utility I get this error on terminal:

root@pc:~# hp-setup -i
Traceback (most recent call last):
  File "/usr/bin/hp-setup", line 48, in <module>
    from base import device, utils, tui, models, module, services, os_utils
  File "/usr/share/hplip/base/device.py", line 41, in <module>
    from . import status
  File "/usr/share/hplip/base/status.py", line 32, in <module>
    import cupsext
ImportError: libudev.so.0: cannot open shared object file: No such file or directory

I tried upgrading hplip package to bakcports version getting the same results. I installed the gui version (hplip-gui) but when I launch the program, it fails too.

With this bug I can't use any Hp printer. If I try to add it by cups interface or system-config-printer utility the system does not find any Hp printer.

More info:

root@pc:~# apt policy hplip
hplip:
  Instalado: 3.16.11+repack0-3
  Candidato: 3.16.11+repack0-3
  Táboa de versións:
     3.18.12+dfsg0-2~bpo9+1 100
        100 http://pkgmaster.devuan.org/merged ascii-backports/main amd64 Packages
 *** 3.16.11+repack0-3 500
        500 http://pkgmaster.devuan.org/merged ascii/main amd64 Packages
        100 /var/lib/dpkg/status

root@pc:~# lsb_release -a
No LSB modules are available.
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 2.0 (ascii)
Release:	2.0
Codename:	ascii

root@pc:~# uname -a
Linux pc 4.9.0-8-amd64 #1 SMP Debian 4.9.130-2 (2018-10-27) x86_64 GNU/Linux